Bug 1000275 - Review Request: nitrogen - Desktop background switcher
Review Request: nitrogen - Desktop background switcher
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Patrick Uiterwijk
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-23 01:37 EDT by James Wrigley
Modified: 2013-09-22 20:18 EDT (History)
3 users (show)

See Also:
Fixed In Version: nitrogen-1.5.2-7.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-22 20:18:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
puiterwijk: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description James Wrigley 2013-08-23 01:37:31 EDT
Spec URL: https://www.dropbox.com/s/oiccjhmvnj288jj/nitrogen.spec
SRPM URL: https://www.dropbox.com/s/6agxajo8n222pmb/nitrogen-1.5.2-6.fc19.src.rpm
Description: A background browser and setter for X windows that can be used in two modes: browser and recall. It features Multihead and Xinerama awareness,
a recall mode to be used in start up scripts, uses the freedesktop.org
standard for thumbnails, can set the GNOME background, command line set
modes for use in scripts, inotify monitoring of browse directory, lazy
loading of thumbnails to conserve memory and an 'automatic' set mode
which determines the best mode to set an image based on its size.
Fedora Account System Username: jamesnz
Comment 1 Christopher Meng 2013-08-23 02:21:18 EDT
Why did you copy the spec from repo?
Comment 2 James Wrigley 2013-08-23 03:39:20 EDT
Because it was recommended that I do that, no need to make a completely new one after all. I've tested it with mock and it builds fine (I'm using it right now actually).
Comment 3 James Wrigley 2013-08-23 04:02:05 EDT
Sorry that the links aren't direct BTW, I've opened a ticket to request use of my fedorapeople space...
Comment 4 Patrick Uiterwijk 2013-08-23 07:25:27 EDT
I will take this review.

Could you please re-upload them somewhere with a direct URL, for retainment, though?
Comment 5 Christopher Meng 2013-08-23 07:33:01 EDT
Please remove the obsolete lines before second upload. 

As a new packager you should read through the spec guidelines. NOT JUST COPY AND PASTE
Comment 6 James Wrigley 2013-08-23 18:47:21 EDT
(In reply to Patrick Uiterwijk from comment #4)
> I will take this review.
> 
> Could you please re-upload them somewhere with a direct URL, for retainment,
> though?

Thanks Patrick! Yes, I'll make some changes and then put them up. Hopefully I'll have access to fedorapeople by then, if not I'll use some other file host.

(In reply to Christopher Meng from comment #5)
> Please remove the obsolete lines before second upload. 
> 
> As a new packager you should read through the spec guidelines. NOT JUST COPY
> AND PASTE

Thanks, will read them through and make changes.
Comment 8 James Wrigley 2013-08-28 05:18:20 EDT
Made one change to the spec file, that's all (removed %check section).

http://jamesnz.fedorapeople.org/nitrogen/nitrogen-1.5.2-6.fc19.src.rpm
http://jamesnz.fedorapeople.org/nitrogen/nitrogen.spec
Comment 9 Patrick Uiterwijk 2013-09-01 23:08:06 EDT
Okay, the issues I have with this version are:

- The NVR of the last changelog entry and the file specification do not mtach. Please increase the Release tag.
- The last release (1.5.2) is from 2011. Maybe you should ask upstream to upload a new release.
- You have duplicate file names listed: %{_datadir}/icons/hicolor/*/apps/%{name}.png also matches %{_datadir}/icons/hicolor/128x128/apps/%{name}.png
- You have an old version of the Icon Cache snippet. Please update from http://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache
- If you are not planning to build for EPEL5, please remove the Buildroot tag
- Same for the first line of %install and with the complete %clean section
- Please only use one type of variables: do not use both $-style and %-style (e.g. $RPM_BUILD_ROOT vs %{_datadir}) mixed
- Please add %{optflags} to the make command, or explain why you can't
- Please use a real email address in the changelog, so don't use the "jamesnz at fedoraproject.org" syntax
- Please note I'm not sure I really like the fact that it has such generic filenames (%{_datadir}/icons/hicolor/16x16/mimetypes/image-x-generic.png for example). Are you very sure they don't clash with any other package?

Please note that these are the issues found so far. After fixing them, I might have new ones :).
Also, please update the srpm and the spec file at the same time.
Comment 10 James Wrigley 2013-09-04 04:13:29 EDT
Ok, I think I've fixed everything except for the age of the release. I've opened a GitHub ticket for that (https://github.com/l3ib/nitrogen/issues/39) but haven't recieved any reply yet.

I've also gone through the all the icon files and verified that they don't conflict with other packages:

[root@paranoiainc ~]# yum provides /usr/share/icons/hicolor/16x16/mimetypes/image-x-generic.png /usr/share/icons/hicolor/16x16/actions/wallpaper-*.png /usr/share/icons/hicolor/16x16/devices/video-display.png
Loaded plugins: langpacks, refresh-packagekit
nitrogen-1.5.2-6.fc19.x86_64 : Background browser and setter for X windows
Repo        : installed
Matched from:
Filename    : /usr/share/icons/hicolor/16x16/mimetypes/image-x-generic.png



nitrogen-1.5.2-6.fc19.x86_64 : Background browser and setter for X windows
Repo        : installed
Matched from:
Filename    : /usr/share/icons/hicolor/16x16/actions/wallpaper-centered.png



nitrogen-1.5.2-6.fc19.x86_64 : Background browser and setter for X windows
Repo        : installed
Matched from:
Filename    : /usr/share/icons/hicolor/16x16/actions/wallpaper-scaled.png



nitrogen-1.5.2-6.fc19.x86_64 : Background browser and setter for X windows
Repo        : installed
Matched from:
Filename    : /usr/share/icons/hicolor/16x16/actions/wallpaper-tiled.png



nitrogen-1.5.2-6.fc19.x86_64 : Background browser and setter for X windows
Repo        : installed
Matched from:
Filename    : /usr/share/icons/hicolor/16x16/actions/wallpaper-zoomed.png



nitrogen-1.5.2-6.fc19.x86_64 : Background browser and setter for X windows
Repo        : installed
Matched from:
Filename    : /usr/share/icons/hicolor/16x16/devices/video-display.png



New links:
http://jamesnz.fedorapeople.org/nitrogen/nitrogen-1.5.2-7.fc19.src.rpm
http://jamesnz.fedorapeople.org/nitrogen/nitrogen.spec
Comment 11 Patrick Uiterwijk 2013-09-08 08:06:16 EDT
Please note you still have the bogus syntax email in your spec file, please replace the "at" by "@".
Comment 12 James Wrigley 2013-09-08 20:24:49 EDT
Done, I've updated the spec, links are the same.
Comment 13 Patrick Uiterwijk 2013-09-09 01:36:01 EDT
Looks fine to me.

APPROVED.
Comment 14 James Wrigley 2013-09-09 04:30:24 EDT
New Package SCM Request
=======================
Package Name: nitrogen
Short Description: Background browser and setter for X windows
Owners: jamesnz puiterwijk
Branches: f19
InitialCC:
Comment 15 James Wrigley 2013-09-09 04:35:17 EDT
New Package SCM Request
=======================
Package Name: nitrogen
Short Description: Background browser and setter for X windows
Owners: jamesnz puiterwijk
Branches: f19 f20
InitialCC:
Comment 16 Gwyn Ciesla 2013-09-09 08:08:54 EDT
Requested package name nitrogen doesn't match bug summary Nitrogen, please
correct.
Comment 17 Gwyn Ciesla 2013-09-09 08:56:27 EDT
Unretired, take ownership of devel and f19, possibly f18, in pkgdb, then
file package change request for f20 branch.
Comment 18 James Wrigley 2013-09-10 02:38:40 EDT
Package Change Request
======================
Package Name: nitrogen
New Branches: f20
Owners: puiterwijk jamesnz
InitialCC: 

Change request for f20 branch.
Comment 19 James Wrigley 2013-09-10 02:41:46 EDT
Mistakenly put puiterwijk as first owner.

Package Change Request
======================
Package Name: nitrogen
New Branches: f20
Owners: jamesnz puiterwijk
InitialCC:
Comment 20 Gwyn Ciesla 2013-09-10 07:54:13 EDT
Git done (by process-git-requests).
Comment 21 Fedora Update System 2013-09-14 03:44:06 EDT
nitrogen-1.5.2-7.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/nitrogen-1.5.2-7.fc19
Comment 22 Fedora Update System 2013-09-14 20:50:03 EDT
nitrogen-1.5.2-7.fc19 has been pushed to the Fedora 19 testing repository.
Comment 23 Fedora Update System 2013-09-22 20:18:41 EDT
nitrogen-1.5.2-7.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.